MDVA-38526: Admin-Benutzer kann nicht auf das SWAT-Tool zugreifen

Der Patch MDVA-38526 behebt das Problem, dass der Admin-Benutzer nicht auf das SWAT-Tool zugreifen kann. Dieser Patch ist verfügbar, wenn das Quality Patches Tool (QPT) 1.1.9 installiert ist. Die Patch-ID lautet MDVA-38526. Bitte beachten Sie, dass das Problem in Adobe Commerce 2.4.4 behoben sein soll.

Betroffene Produkte und Versionen

Der Patch wird für die Adobe Commerce-Version erstellt:

  • Adobe Commerce (alle Bereitstellungsmethoden) 2.4.1-p1

Kompatibel mit Adobe Commerce-Versionen:

  • Adobe Commerce (alle Bereitstellungsmethoden) 2.4.1 - 2.4.3-p1
NOTE
Der Patch kann für andere Versionen mit den neuen Versionen des Quality Patches Tool angewendet werden. Um zu überprüfen, ob der Patch mit Ihrer Adobe Commerce-Version kompatibel ist, aktualisieren Sie das Paket magento/quality-patches auf die neueste Version und überprüfen Sie die Kompatibilität auf der Seite Quality Patches Tool: Suchen nach Patches. Verwenden Sie die Patch-ID als Suchschlüsselwort, um den Patch zu finden.

Problem

Der Administrator kann nicht auf das SWAT-Tool zugreifen.

Zu reproduzierende Schritte:

Versuch, ../swat/key/index zu erreichen

Erwartete Ergebnisse:

  1. ../swat/key/index returns 200.
  2. Der Administrator kann auf SWAT zugreifen.

Tatsächliche Ergebnisse:

500 Fehler wird mit dem folgenden Fehlerprotokoll ausgelöst: Wert kann nicht desinalisiert werden. Fehler: Syntaxfehler.

Wenden Sie den Patch an

Verwenden Sie je nach Bereitstellungsmethode die folgenden Links, um einzelne Patches anzuwenden:

Verwandtes Lesen

Weitere Informationen zum Werkzeug für Qualitätsmuster finden Sie unter:

Weitere Informationen zu anderen in QPT verfügbaren Patches finden Sie unter Patches, die in QPT verfügbar sind, in unserer Entwicklerdokumentation.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a